/*****************************************************************
* unit:    doublelists             release 0.3                   *
* purpose: general manipulation with array of couples of strings *
******************************************************************/
#ifndef __DoubleList_h
#define __DoubleList_h

#ifndef __Lists_h
  #include <lists.h>
#endif

extern "C++" {

class doublelist:public list {
           int flipped;
           
   public:
	   doublelist(void): flipped(0) {};
           doublelist(const doublelist &dl);

	   char *Member(const int i, const int j);

	   //int operator+=(const char *str);
	   doublelist &operator=(const doublelist &dl);

	   void Add(const char *str1,const char *str2);

           void Flip(int FlipMode);
	   };


} // extern "C++"

#endif
